jQuery( document ).ready( function ( $ ) {
    "use strict";

    var all_bookings        = $( '.yith-wcbk-booking-calendar-single-booking' ),
        booking_hover_class = 'yith-wcbk-hover',
        reset_all_bookings  = function () {
            all_bookings.removeClass( booking_hover_class );
        },
        fast_search_input   = $( '#yith-wcbk-booking-calendar-fast-search' );
    
    $( document ).on( 'mouseenter', '.yith-wcbk-booking-calendar-single-booking', function ( e ) {
            var booking_container = $( this ),
                booking_class     = booking_container.data( 'booking-class' );

            reset_all_bookings();

            if ( booking_class ) {
                $( document ).find( '.' + booking_class ).addClass( booking_hover_class );
            }
        } )

        .on( 'mouseleave', '.yith-wcbk-booking-calendar-single-booking', reset_all_bookings )


        .on( 'click', '.yith-wcbk-booking-calendar-single-booking-action-info', function () {
            var booking_container      = $( this ).closest( '.yith-wcbk-booking-calendar-single-booking' ),
                booking_data_container = booking_container.find( '.yith-wcbk-booking-calendar-single-booking-data' );

            booking_data_container.slideToggle( 300 );
        } );
    
    // FAST SEARCH
    fast_search_input.on( 'keyup', function () {
        var search_value = $( this ).val();

        if ( search_value.length > 2 ) {

            search_value = search_value.toLowerCase();

            all_bookings.each( function ( e ) {
                var target = $( this ),
                    text   = target.html().toLowerCase();

                if ( text.indexOf( search_value ) > -1 ) {
                    $( this ).fadeIn();
                } else {
                    $( this ).fadeOut();
                }
            } );
        } else {
            all_bookings.fadeIn();
        }
    } );


    // Expand Week
    var all_row = $( '.yith-wcbk-booking-calendar tbody tr' );
    $( document ).on( 'click', 'td.yith-wcbk-booking-calendar-expand-week', function () {
        var target      = $( this ),
            current_row = target.closest( 'tr' );

        if ( current_row.hasClass( 'expanded' ) ) {
            // Reset All Rows
            all_row.removeClass( 'expanded' ).removeClass( 'closed' );
        } else {
            all_row.removeClass( 'expanded' ).addClass( 'closed' );
            
            current_row.removeClass( 'closed' ).addClass( 'expanded' );
        }
    } );
} );