<?php
/**
 * Month Calendar page html
 *
 * @author  Yithemes
 * @package YITH Booking for WooCommerce Premium
 * @version 1.0.0
 */
if ( !defined( 'YITH_WCBK' ) ) {
    exit;
} // Exit if accessed directly
$date_helper = YITH_WCBK_Date_Helper();

$next_month = $month + 1;
$next_year  = $year;

$prev_month = $month - 1;
$prev_year  = $year;

if ( $next_month < 1 ) {
    $next_month = 12;
    $next_year  = $year - 1;
}

$next_link = add_query_arg( array(
    'month' => $next_month,
    'year'  => $next_year,
) );

$prev_link = add_query_arg( array(
    'month' => $prev_month,
    'year'  => $prev_year,
) );

?>

<div id="yith-wcbk-booking-calendar-action-bar">
    <a href="<?php echo $prev_link; ?>">
        <span
            class="yith-wcbk-booking-calendar-action yith-wcbk-booking-calendar-action-prev-month dashicons dashicons-arrow-left-alt2"></span>
    </a>
    <a href="<?php echo $next_link; ?>">
        <span
            class="yith-wcbk-booking-calendar-action yith-wcbk-booking-calendar-action-next-month dashicons dashicons-arrow-right-alt2"></span>
    </a>

    <span class="yith-wcbk-booking-calendar-action-current-date">
        <form method="get">
            <input type="hidden" name="post_type" value="<?php echo YITH_WCBK_Post_Types::$booking ?>"/>
            <input type="hidden" name="page" value="yith-wcbk-booking-calendar"/>
            <select name="month">
                <?php foreach ( yith_wcbk_get_months_array() as $month_id => $month_name ) : ?>
                    <option value="<?php echo $month_id ?>" <?php selected( $month == $month_id ); ?>><?php echo $month_name ?></option>
                <?php endforeach; ?>
            </select>
            <select name="year">
                <?php for ( $current_year = $year - 10; $current_year < $year + 11; $current_year++ ) : ?>
                    <option value="<?php echo $current_year ?>" <?php selected( $current_year == $year ); ?>><?php echo $current_year ?></option>
                <?php endfor; ?>
            </select>
            <button type="submit">
                <span id="yith-wcbk-booking-calendar-action-select-date-submit" class="dashicons dashicons-arrow-right"></span>
            </button>
        </form>
        <?php //echo $date_helper->get_month_name( absint( $month ), true ) . ' ' . $year ?>
    </span>

    <input type="text" id="yith-wcbk-booking-calendar-fast-search"
           placeholder="<?php _e( 'Quick search...', 'yith-booking-for-woocommerce' ); ?>"/>
</div>
