<?php
/**
 * Month Calendar page html
 *
 * @author  Yithemes
 * @package YITH Booking for WooCommerce Premium
 * @version 1.0.0
 */
if ( !defined( 'YITH_WCBK' ) ) {
    exit;
} // Exit if accessed directly

$bookings = !empty( $bookings ) ? $bookings : array();
?>

<div id="yith-wcbk-booking-calendar-wrap">
    <?php
    $this->print_action_bar( $args );
    ?>
    <table class="yith-wcbk-booking-calendar yith-wcbk-booking-calendar-month">
        <thead>
        <tr>
            <th class="yith-wcbk-booking-calendar-expand-week"></th>
            <?php for ( $index = get_option( 'start_of_week', 1 ); $index < get_option( 'start_of_week', 1 ) + 7; $index++ ) : ?>
                <th><?php echo date_i18n( 'D', strtotime( "next sunday +{$index} day" ) ); ?></th>
            <?php endfor; ?>
        </tr>
        </thead>

        <tbody>
        <tr>
            <td class="yith-wcbk-booking-calendar-expand-week"></td>
            <?php
            $current_day  = strtotime( 'midnight' );
            $timestamp    = $start_timestamp;
            $index        = 0;
            while ( $timestamp <= $end_timestamp ) :
                $day_class = date( 'n', $timestamp ) != absint( $month ) ? '' : 'current-month';
                $this_day = date( 'd', $timestamp );

                $day_class .= $timestamp === $current_day ? ' today' : '';
                ?>
                <td class="yith-wcbk-booking-calendar-day-container <?php echo $day_class; ?>">
                    <div class="yith-wcbk-booking-calendar-day"><?php echo $this_day; ?></div>
                    <div class="bookings">
                        <?php
                        foreach ( $bookings as $booking ) {
                            if ( $booking instanceof YITH_WCBK_Booking ) {
                                if ( $booking->from <= $timestamp && $booking->to > $timestamp ) {
                                    $booking_edit_link = get_edit_post_link( $booking->id );
                                    ?>
                                    <div
                                        class="yith-wcbk-booking-calendar-single-booking yith-wcbk-booking-calendar-single-booking-<?php echo $booking->id; ?> <?php echo $booking->get_status(); ?>"
                                        data-booking-id="<?php echo $booking->id; ?>"
                                        data-booking-class="yith-wcbk-booking-calendar-single-booking-<?php echo $booking->id; ?>">
                                        <div class="yith-wcbk-booking-calendar-single-booking-title">
                                            <h3>
                                                <a class="yith-wcbk-booking-calendar-single-booking-action"
                                                   href="<?php echo $booking_edit_link; ?>" target="_blank"><span
                                                        class="dashicons dashicons-edit"></span></a>
                                                <span
                                                    class="yith-wcbk-booking-calendar-single-booking-action yith-wcbk-booking-calendar-single-booking-action-info dashicons dashicons-info"></span>
                                                <?php echo $booking->get_title() ?>
                                            </h3>
                                        </div>
                                        <div class="yith-wcbk-booking-calendar-single-booking-data">
                                            <?php
                                            include( 'single-booking/html-booking-calendar-month-single-booking-data.php' );
                                            ?>
                                        </div>
                                    </div>
                                    <?php
                                }
                            }
                        }
                        ?>
                    </div>
                </td>
                <?php
                $timestamp = strtotime( '+1 day', $timestamp );
                $index++;

                if ( $index % 7 === 0 && $timestamp <= $end_timestamp ) {
                    echo '</tr><tr>';
                    echo '<td class="yith-wcbk-booking-calendar-expand-week"></td>';
                }
            endwhile;
            ?>
        </tr>
        </tbody>
    </table>

</div>
