<?php
/**
 * Single booking data for Month Calendar page html
 *
 * @author  Yithemes
 * @package YITH Booking for WooCommerce Premium
 * @version 1.0.0
 */
if ( !defined( 'YITH_WCBK' ) ) {
    exit;
} // Exit if accessed directly
/**
 * @var YITH_WCBK_Booking $booking
 */

?>

<?php

do_action( 'yith_wcbk_calendar_single_booking_data_before', $booking );

echo sprintf( __( 'Status: %s', 'yith-booking-for-woocommerce' ), $booking->get_status_text() );
echo '<br />';

$order_id = $booking->order_id;
if ( $order_id > 0 ) {

    if ( $the_order = wc_get_order( $order_id ) ) {
        $the_order_user_id = yit_get_prop( $the_order, 'user_id', true, 'edit' );
        $user_info         = !empty( $the_order_user_id ) ? get_userdata( $the_order_user_id ) : false;

        if ( !!$user_info ) {

            $username = '<a href="user-edit.php?user_id=' . absint( $user_info->ID ) . '">';

            if ( $user_info->first_name || $user_info->last_name ) {
                $username .= esc_html( sprintf( _x( '%1$s %2$s', 'full name', 'woocommerce' ), ucfirst( $user_info->first_name ), ucfirst( $user_info->last_name ) ) );
            } else {
                $username .= esc_html( ucfirst( $user_info->display_name ) );
            }

            $username .= '</a>';

        } else {
            if ( $the_order && ( yit_get_prop( $the_order, 'billing_first_name' ) || yit_get_prop( $the_order, 'billing_last_name' ) ) ) {
                $username = trim( sprintf( _x( '%1$s %2$s', 'full name', 'woocommerce' ), yit_get_prop( $the_order, 'billing_first_name' ), yit_get_prop( $the_order, 'billing_last_name' ) ) );
            } else {
                $username = __( 'Guest', 'woocommerce' );
            }
        }

        echo sprintf( _x( 'Order %s by %s', 'Order number by X', 'yith-booking-for-woocommerce' ), '<a href="' . admin_url( 'post.php?post=' . absint( $order_id ) . '&action=edit' ) . '">#' . esc_attr( $the_order->get_order_number() ) . '</a>', $username );

        if ( $the_order && $billing_email = yit_get_prop( $the_order, 'billing_email' ) ) {
            echo '<br /><small class="meta email"><a href="' . esc_url( 'mailto:' . $billing_email ) . '">' . esc_html( $billing_email ) . '</a></small>';
        }
    } else {
        printf( _x( 'Order #%s (deleted)', 'Deleted Order:#123 (deleted)', 'yith-booking-for-woocommerce' ), $order_id );
    }
    echo '<br />';
} else {
    if ( $user_info = get_userdata( $booking->user_id ) ) {
        $username = '<a href="user-edit.php?user_id=' . absint( $user_info->ID ) . '">';

        if ( $user_info->first_name || $user_info->last_name ) {
            $username .= esc_html( sprintf( _x( '%1$s %2$s', 'full name', 'woocommerce' ), ucfirst( $user_info->first_name ), ucfirst( $user_info->last_name ) ) );
        } else {
            $username .= esc_html( ucfirst( $user_info->display_name ) );
        }

        $username .= '</a>';
        echo sprintf( __( 'User: %s', 'yith-booking-for-woocommerce' ), $username );
        echo '<br />';
    }
}

echo sprintf( __( 'People: %s', 'yith-booking-for-woocommerce' ), $booking->persons );

$services = $booking->get_service_names();
if ( !!$services ) {
    echo '<br />';
    $services_html = implode( ', ', $services );
    echo sprintf( __( 'Services: %s', 'yith-booking-for-woocommerce' ), $services_html );
}

do_action( 'yith_wcbk_calendar_single_booking_data_after', $booking );
?>

