<?php
/**
 * Booking Actions Metabox
 *
 * @author  Yithemes
 * @package YITH Booking for WooCommerce Premium
 * @version 1.0.0
 */
if ( !defined( 'YITH_WCBK' ) ) {
    exit;
} // Exit if accessed directly

/**
 * @var YITH_WCBK_Booking $booking
 */


$booking_type_object = get_post_type_object( $post->post_type );

$booking_pdf_customer_link = add_query_arg( array(
                                                'action'     => 'get-booking-pdf-customer',
                                                'booking-id' => $booking->id,
                                            ), admin_url() );

$booking_pdf_admin_link = add_query_arg( array(
                                             'action'     => 'get-booking-pdf-admin',
                                             'booking-id' => $booking->id,
                                         ), admin_url() );

?>
<div class="yith-wcbk-booking-actions-metabox-content">
    <p>
        <a href="<?php echo $booking_pdf_customer_link ?>" class="button" target="_blank"><?php _e( 'Customer PDF', 'yith-booking-for-woocommerce' ) ?></a>
    </p>
    <p>
        <a href="<?php echo $booking_pdf_admin_link ?>" class="button" target="_blank"><?php _e( 'Admin PDF', 'yith-booking-for-woocommerce' ) ?></a>
    </p>

</div>

<div class="yith-wcbk-booking-actions-metabox-footer">
    <input type="submit" class="button save_order button-primary tips" name="save"
           value="<?php printf( __( 'Save %s', 'yith-booking-for-woocommerce' ), $booking_type_object->labels->singular_name ); ?>"
           data-tip="<?php printf( __( 'Save/update the %s', 'woocommerce' ), $booking_type_object->labels->singular_name ); ?>"/>
</div>