<?php
/**
 * Notes class
 *
 * @author  Yithemes
 * @package YITH Booking for WooCommerce Premium
 * @version 1.0.0
 */


if ( !defined( 'YITH_WCBK' ) ) {
    exit;
} // Exit if accessed directly

if ( !class_exists( 'YITH_WCBK_Notes' ) ) {
    /**
     * YITH_WCBK_Booking_Notes
     *
     * @since 1.0.0
     */
    class YITH_WCBK_Notes {

        /**
         * Single instance of the class
         *
         * @var \YITH_WCBK_Notes
         * @since 1.0.0
         */
        protected static $_instance;

        public $table_name = '';


        /**
         * Returns single instance of the class
         *
         * @return \YITH_WCBK_Notes
         * @since 1.0.0
         */
        public static function get_instance() {
            if ( is_null( self::$_instance ) ) {
                self::$_instance = new self();
            }

            return self::$_instance;
        }

        /**
         * Constructor
         *
         * @since  1.0.0
         * @author Leanza Francesco <leanzafrancesco@gmail.com>
         */
        private function __construct() {
            global $wpdb;
            $this->table_name = $wpdb->prefix . YITH_WCBK_DB::$booking_notes_table;
        }

        /**
         * @param        $booking_id
         * @param        $type
         * @param string $note
         */
        public function add_booking_note( $booking_id, $type, $note = '' ) {
            global $wpdb;

            $insert_query = "INSERT INTO $this->table_name (`booking_id`, `type`, `description`, `note_date`) VALUES ('" . $booking_id . "', '" . $type . "', '" . $note . "' , CURRENT_TIMESTAMP() )";
            $wpdb->query( $insert_query );
        }

        /**
         * @param $booking_id
         *
         * @return array|null|object
         */
        public function get_booking_notes( $booking_id ) {
            global $wpdb;

            $query   = $wpdb->prepare( "SELECT * FROM $this->table_name WHERE booking_id = %d ORDER by note_date DESC", $booking_id );
            $results = $wpdb->get_results( $query );

            return $results;
        }
    }
}


/**
 * Unique access to instance of YITH_WCBK_Notes class
 *
 * @return \YITH_WCBK_Notes
 * @since 1.0.0
 */
function YITH_WCBK_Notes() {

    return YITH_WCBK_Notes::get_instance();
}