<?php
/**
 * Functions
 *
 * @author  Yithemes
 * @package YITH Booking for WooCommerce Premium
 * @version 1.0.0
 */

!defined( 'YITH_WCBK' ) && exit;

if ( !function_exists( 'yith_wcbk_get_weeks_array' ) ) {
    function yith_wcbk_get_weeks_array() {
        $weeks_array = array();
        for ( $i = 1; $i < 53; $i++ ) {
            $index                 = $i . '';
            $weeks_array[ $index ] = sprintf( __( 'Week %d', 'yith-booking-for-woocommerce' ), $index );
        }

        return $weeks_array;
    }
}

if ( !function_exists( 'yith_wcbk_get_months_array' ) ) {
    function yith_wcbk_get_months_array( $localized = true ) {
        if ( $localized ) {
            $months_array = array(
                '1'  => __( 'January', 'yith-booking-for-woocommerce' ),
                '2'  => __( 'February', 'yith-booking-for-woocommerce' ),
                '3'  => __( 'March', 'yith-booking-for-woocommerce' ),
                '4'  => __( 'April', 'yith-booking-for-woocommerce' ),
                '5'  => __( 'May', 'yith-booking-for-woocommerce' ),
                '6'  => __( 'June', 'yith-booking-for-woocommerce' ),
                '7'  => __( 'July', 'yith-booking-for-woocommerce' ),
                '8'  => __( 'August', 'yith-booking-for-woocommerce' ),
                '9'  => __( 'September', 'yith-booking-for-woocommerce' ),
                '10' => __( 'October', 'yith-booking-for-woocommerce' ),
                '11' => __( 'November', 'yith-booking-for-woocommerce' ),
                '12' => __( 'December', 'yith-booking-for-woocommerce' ),
            );
        } else {
            $months_array = array(
                '1'  => 'January',
                '2'  => 'February',
                '3'  => 'March',
                '4'  => 'April',
                '5'  => 'May',
                '6'  => 'June',
                '7'  => 'July',
                '8'  => 'August',
                '9'  => 'September',
                '10' => 'October',
                '11' => 'November',
                '12' => 'December',
            );
        }

        return $months_array;
    }
}

if ( !function_exists( 'yith_wcbk_get_days_array' ) ) {
    function yith_wcbk_get_days_array( $localized = true ) {
        if ( $localized ) {
            $days_array = array(
                '1' => __( 'Monday', 'yith-booking-for-woocommerce' ),
                '2' => __( 'Tuesday', 'yith-booking-for-woocommerce' ),
                '3' => __( 'Wednesday', 'yith-booking-for-woocommerce' ),
                '4' => __( 'Thursday', 'yith-booking-for-woocommerce' ),
                '5' => __( 'Friday', 'yith-booking-for-woocommerce' ),
                '6' => __( 'Saturday', 'yith-booking-for-woocommerce' ),
                '7' => __( 'Sunday', 'yith-booking-for-woocommerce' ),
            );
        } else {
            $days_array = array(
                '1' => 'Monday',
                '2' => 'Tuesday',
                '3' => 'Wednesday',
                '4' => 'Thursday',
                '5' => 'Friday',
                '6' => 'Saturday',
                '7' => 'Sunday',
            );
        }

        return $days_array;
    }
}

if ( !function_exists( 'yith_wcbk_get_time_sum' ) ) {
    function yith_wcbk_get_time_sum( $time, $number = 0, $unit = 'day', $midnight = false ) {
        return YITH_WCBK_Date_Helper()->get_time_sum( $time, $number, $unit, $midnight );
    }
}

if ( !function_exists( 'yith_wcbk_get_time_diff' ) ) {
    function yith_wcbk_get_time_diff( $timestamp1, $timestamp2, $unit = '' ) {
        return YITH_WCBK_Date_Helper()->get_time_diff( $timestamp1, $timestamp2, $unit );
    }
}

if ( !function_exists( 'yith_wcbk_get_duration_units' ) ) {
    function yith_wcbk_get_duration_units( $plural_control = 1 ) {
        $duration_units = array(
            'month'  => _n( 'Month', 'Months', $plural_control, 'yith-booking-for-woocommerce' ),
            'day'    => _n( 'Day', 'Days', $plural_control, 'yith-booking-for-woocommerce' ),
            'hour'   => _n( 'Hour', 'Hours', $plural_control, 'yith-booking-for-woocommerce' ),
            'minute' => _n( 'Minute', 'Minutes', $plural_control, 'yith-booking-for-woocommerce' ),
        );

        return apply_filters( 'yith_wcbk_get_duration_units', $duration_units, $plural_control );
    }
}

if ( !function_exists( 'yith_wcbk_get_duration_unit_label' ) ) {
    function yith_wcbk_get_duration_unit_label( $duration_unit, $plural_control = 1 ) {
        $units         = yith_wcbk_get_duration_units( $plural_control );
        $duration_unit = isset( $units[ $duration_unit ] ) ? $units[ $duration_unit ] : '';

        return $duration_unit;
    }
}


if ( !function_exists( 'yith_wcbk_intersect_dates' ) ) {
    function yith_wcbk_intersect_dates( $start1, $end1, $start2, $end2 ) {
        return YITH_WCBK_Date_Helper()->check_intersect_dates( $start1, $end1, $start2, $end2 );
    }
}

if ( !function_exists( 'yith_wcbk_add_one_day' ) ) {
    function yith_wcbk_add_one_day( $time ) {
        return date( 'Y-m-d', strtotime( $time . ' +1 day' ) );
    }
}

if ( !function_exists( 'yith_wcbk_add_some_day' ) ) {
    function yith_wcbk_add_some_day( $time, $days_to_add = 1 ) {
        return date( 'Y-m-d', strtotime( $time . ' +' . $days_to_add . ' day' ) );
    }
}

if ( !function_exists( 'yith_wcbk_get_booking_meta_label' ) ) {
    function yith_wcbk_get_booking_meta_label( $key ) {
        switch ( $key ) {
            case 'from':
                return __( 'From', 'yith-booking-for-woocommerce' );
            case 'to':
                return __( 'To', 'yith-booking-for-woocommerce' );
            case 'duration':
                return __( 'Duration', 'yith-booking-for-woocommerce' );
            case 'persons':
                return __( 'People', 'yith-booking-for-woocommerce' );
            default:
                return $key;
        }
    }
}

if ( !function_exists( 'yith_wcbk_get_label' ) ) {
    function yith_wcbk_get_label( $key ) {
        return YITH_WCBK()->language->get_label( $key );
    }
}

if ( !function_exists( 'yith_wcbk_get_default_label' ) ) {
    function yith_wcbk_get_default_label( $key ) {
        return YITH_WCBK()->language->get_default_label( $key );
    }
}

if ( !function_exists( 'yith_wcbk_get_booking_statuses' ) ) {

    /**
     * Return the list of status available
     *
     * @return array
     * @since 1.0.0
     */

    function yith_wcbk_get_booking_statuses( $include_accessory_statuses = false ) {
        $statuses = array(
            'unpaid'          => _x( 'Unpaid', 'Booking Status', 'yith-booking-for-woocommerce' ),
            'paid'            => _x( 'Paid', 'Booking Status', 'yith-booking-for-woocommerce' ),
            'completed'       => _x( 'Completed', 'Booking Status', 'yith-booking-for-woocommerce' ),
            'cancelled'       => _x( 'Cancelled', 'Booking Status', 'yith-booking-for-woocommerce' ),
            'pending-confirm' => _x( 'Pending Confirmation', 'Booking Status', 'yith-booking-for-woocommerce' ),
            'confirmed'       => _x( 'Confirmed', 'Booking Status', 'yith-booking-for-woocommerce' ),
            'unconfirmed'     => _x( 'Rejected', 'Booking Status', 'yith-booking-for-woocommerce' ),

        );

        if ( $include_accessory_statuses ) {
            $statuses[ 'cancelled_by_user' ] = _x( 'Cancelled by customer', 'Booking Status', 'yith-booking-for-woocommerce' );
        }

        return apply_filters( 'yith_wcbk_booking_statuses', $statuses );
    }
}

if ( !function_exists( 'yith_wcbk_is_a_booking_status' ) ) {

    /**
     * check if booking status is valid
     *
     * @param string $status
     *
     * @return array
     * @since 1.0.0
     */

    function yith_wcbk_is_a_booking_status( $status ) {
        $booking_statuses = yith_wcbk_get_booking_statuses();

        return isset( $booking_statuses[ $status ] );
    }
}

if ( !function_exists( 'yith_wcbk_get_booking_status_name' ) ) {

    /**
     * Get the booking status name
     *
     * @param string $status
     *
     * @return string
     * @since 1.0.0
     */

    function yith_wcbk_get_booking_status_name( $status ) {
        return strtr( $status, yith_wcbk_get_booking_statuses() );
    }
}

if ( !function_exists( 'yith_get_booking' ) ) {

    /**
     * Get the booking object.
     *
     * @param  mixed $the_booking
     *
     * @uses   WP_Post
     * @uses   YITH_WCBK_Booking
     * @return YITH_WCBK_Booking|bool false on failure
     */
    function yith_get_booking( $the_booking ) {
        $_booking = false;
        if ( false === $the_booking ) {
            $the_booking = $GLOBALS[ 'post' ];
            if ( $the_booking && isset( $the_booking->ID ) ) {
                $_booking = new YITH_WCBK_Booking( $the_booking->ID );
            }
        } elseif ( is_numeric( $the_booking ) ) {
            $_booking = new YITH_WCBK_Booking( $the_booking );
        } elseif ( $the_booking instanceof YITH_WCBK_Booking ) {
            $_booking = $the_booking;
        } elseif ( !( $the_booking instanceof WP_Post ) ) {
            $_booking = false;
        }

        if ( $_booking instanceof YITH_WCBK_Booking ) {
            if ( !$_booking->is_valid() ) {
                $_booking = false;
            }
        } else {
            $_booking = false;
        }

        return apply_filters( 'yith_wcbk_booking_object', $_booking );
    }
}

if ( !function_exists( 'yith_wcbk_booking_admin_screen_ids' ) ) {

    /**
     * Return booking screen ids
     *
     * @return array
     */
    function yith_wcbk_booking_admin_screen_ids() {
        $booking_post_type = YITH_WCBK_Post_Types::$booking;
        $screen_ids        = array(
            YITH_WCBK_Post_Types::$booking,
            'edit-' . YITH_WCBK_Post_Types::$booking,
            YITH_WCBK_Post_Types::$search_form,
            'edit-' . YITH_WCBK_Post_Types::$search_form,
            'edit-' . YITH_WCBK_Post_Types::$service_tax,
            'product',
            'yith_booking_page_create_booking',
            'yith_booking_page_yith-wcbk-booking-calendar',
        );

        return apply_filters( 'yith_wcbk_booking_admin_screen_ids', $screen_ids );
    }
}

if ( !function_exists( 'yith_wcbk_parse_booking_person_types_array' ) ) {
    function yith_wcbk_parse_booking_person_types_array( $person_types, $reverse = false ) {
        if ( is_array( $person_types ) ) {

            if ( !$reverse ) {
                $new_person_types = array();
                foreach ( $person_types as $person_type_id => $person_type_number ) {
                    $person_type_title  = get_the_title( $person_type_id );
                    $new_person_types[] = array(
                        'id'     => $person_type_id,
                        'title'  => $person_type_title,
                        'number' => $person_type_number,
                    );
                }

                return $new_person_types;
            } else {
                $new_person_types = array();
                foreach ( $person_types as $person_type ) {
                    $new_person_types[ $person_type[ 'id' ] ] = $person_type[ 'number' ];
                }

                return $new_person_types;
            }
        } else {
            return array();
        }
    }
}

if ( !function_exists( 'yith_wcbk_add_product_class' ) ) {

    function yith_wcbk_add_product_class( $classes ) {
        $classes[] = 'product';

        return $classes;
    }
}

if ( !function_exists( 'yith_wcbk_is_in_search_form_result' ) ) {

    function yith_wcbk_is_in_search_form_result() {
        return defined( 'YITH_WCBK_IS_IN_AJAX_SEARCH_FORM_RESULTS' ) && YITH_WCBK_IS_IN_AJAX_SEARCH_FORM_RESULTS;
    }
}

if ( !function_exists( 'yith_wcbk_is_booking_product' ) ) {
    /**
     * Return true if the product is Booking Product
     *
     * @param bool|int|WP_Post|WC_Product $product
     *
     * @return bool
     */
    function yith_wcbk_is_booking_product( $product = false ) {
        return YITH_WCBK_Product_Helper::is_booking( $product );
    }
}

if ( !function_exists( 'yith_wcbk_print_login_form' ) ) {
    /**
     * print the WooCommerce login form
     *
     * @param bool $check_logged_in
     *
     * @since 1.0.5
     */
    function yith_wcbk_print_login_form( $check_logged_in = false ) {
        if ( !$check_logged_in || !is_user_logged_in() ) {
            echo '<div class="woocommerce">';
            wc_get_template( 'myaccount/form-login.php' );
            echo '</div>';
        }
    }
}

if ( !function_exists( 'yith_wcbk_get_search_form' ) ) {

    /**
     * Get the booking search form object.
     *
     * @param  int $id
     *
     * @uses   YITH_WCBK_Search_Form
     * @return YITH_WCBK_Search_Form|bool
     */
    function yith_wcbk_get_search_form( $id ) {
        $_search_form = false;
        if ( is_numeric( $id ) ) {
            $_search_form = new YITH_WCBK_Search_Form( $id );
        }

        if ( !$_search_form instanceof YITH_WCBK_Search_Form || !$_search_form->is_valid() ) {
            $_search_form = false;
        }

        return apply_filters( 'yith_wcbk_get_search_form', $_search_form );
    }
}

