<?php
// Exit if accessed directly
!defined( 'YITH_WCBK' ) && exit();


$categories = YITH_WCBK()->wp->get_terms(
    array(
        'taxonomy'   => 'product_cat',
        'hide_empty' => true,
        'fields'     => 'id=>name'
    )
);

$tab = array(
    'settings' => array(
        'general-options' => array(
            'title' => __( 'General Options', 'yith-booking-for-woocommerce' ),
            'type'  => 'title',
            'desc'  => '',
        ),

        'google-maps-api-key' => array(
            'id'      => 'yith-wcbk-google-maps-api-key',
            'name'    => __( 'Google Maps API Key', 'yith-booking-for-woocommerce' ),
            'type'    => 'text',
            'desc'    => sprintf( __( 'Insert the Google Maps API Key. If you have an API KEY for Google Maps, you can add it here. Don’t know what an API KEY is or how to use it? For further information, please %1$sclick here%2$s', 'yith-booking-for-woocommerce' ),
                                  '<a href="//developers.google.com/maps/documentation/javascript/get-api-key" target="_blank">',
                                  '</a>' ),
            'default' => ''
        ),


        'booking-form-position' => array(
            'id'      => 'yith-wcbk-booking-form-position',
            'name'    => __( 'Booking Form Position', 'yith-booking-for-woocommerce' ),
            'type'    => 'select',
            'desc_tip'    => __( 'Choose the position of the booking form in Single Product Page', 'yith-booking-for-woocommerce' ),
            'options' => array(
                'default'            => __( 'Default', 'yith-booking-for-woocommerce' ),
                'before_summary'     => __( 'Before summary', 'yith-booking-for-woocommerce' ),
                'after_title'        => __( 'After title', 'yith-booking-for-woocommerce' ),
                'before_description' => __( 'Before description', 'yith-booking-for-woocommerce' ),
                'after_description'  => __( 'After description', 'yith-booking-for-woocommerce' ),
                'after_summary'      => __( 'After summary', 'yith-booking-for-woocommerce' ),
                'none'               => __( 'None', 'yith-booking-for-woocommerce' ),
            ),
            'default' => 'after_description'
        ),

        'booking-categories' => array(
            'id'       => 'yith-wcbk-booking-categories',
            'name'     => __( 'Booking Categories', 'yith-booking-for-woocommerce' ),
            'type'     => 'multiselect',
            'multiple' => true,
            'class'    => 'wc-enhanced-select',
            'desc_tip'     => __( 'Choose the categories of the booking products that will be visible in the Search Form. Leave empty to select all
            categories.', 'yith-booking-for-woocommerce' ),
            'options'  => $categories,
        ),

        'general-options-end' => array(
            'type' => 'sectionend',
            'id'   => 'yith-wcbk-general-options'
        ),


        'booking-form-options' => array(
            'title' => __( 'Booking Form', 'yith-booking-for-woocommerce' ),
            'type'  => 'title',
            'desc'  => '',
        ),

        'person-type-columns' => array(
            'id'                => 'yith-wcbk-person-type-columns',
            'name'              => __( 'Columns for people', 'yith-booking-for-woocommerce' ),
            'type'              => 'number',
            'desc_tip'              => __( 'Choose the number of columns for people fields shown in the Booking form',
                                       'yith-booking-for-woocommerce' ),
            'default'           => '1',
            'custom_attributes' => array(
                'min' => 1
            )
        ),

        'calendar-range-picker-columns' => array(
            'id'      => 'yith-wcbk-calendar-range-picker-columns',
            'name'    => __( 'Columns for calendar range picker', 'yith-booking-for-woocommerce' ),
            'type'    => 'select',
            'desc_tip'    => __( 'Choose the number of columns for calendar range picker fields shown in the Booking form', 'yith-booking-for-woocommerce' ),
            'default' => '1',
            'options' => array(
                1 => __( 'One column', 'yith-booking-for-woocommerce' ),
                2 => __( 'Two columns', 'yith-booking-for-woocommerce' ),
            )
        ),

        'show-service-prices' => array(
            'id'      => 'yith-wcbk-show-service-prices',
            'name'    => __( 'Show prices for services', 'yith-booking-for-woocommerce' ),
            'type'    => 'checkbox',
            'desc'    => __( 'Select to show the prices for selected services in the Booking form', 'yith-booking-for-woocommerce' ),
            'default' => 'no',
        ),

        'show-booking-form-to-logged-users-only' => array(
            'id'      => 'yith-wcbk-show-booking-form-to-logged-users-only',
            'name'    => __( 'Show to logged users only', 'yith-booking-for-woocommerce' ),
            'type'    => 'checkbox',
            'desc'    => __( 'Select to show the booking form to logged users only', 'yith-booking-for-woocommerce' ),
            'default' => 'no',
        ),

        'booking-form-options-end' => array(
            'type' => 'sectionend',
        ),


    )
);

return apply_filters( 'yith_wcbk_panel_settings_options', $tab );