<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.5.0
 */

if ( !defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

global $product;

// Ensure visibility
if ( empty( $product ) || !$product->is_visible() ) {
    return;
}
?>
<li <?php post_class() ?> >
    <?php

    /**
     * yith_wcbk_before_search_form_item hook.
     *
     */
    do_action( 'yith_wcbk_before_search_form_item' ); ?>

    <?php ob_start(); ?>
    <div class="yith-wcbk-search-form-result-product-thumb-wrapper">

        <?php
        /**
         * yith_wcbk_search_form_show_product_thumbnails hook.
         *
         * @hooked woocommerce_show_product_loop_sale_flash - 10
         * @hooked yith_wcbk_search_form_show_product_thumbnails - 10
         */

        do_action( 'yith_wcbk_search_form_show_product_thumbnails' ); ?>

    </div>
    <?php echo apply_filters( 'yith_wcbk_search_form_result_product_thumb_wrapper', ob_get_clean(), $product->get_id() ); ?>

    <?php
    /**
     * yith_wcbk_before_search_form_item_title hook.
     *
     * @hooked woocommerce_template_loop_product_link_open - 10
     */
    do_action( 'yith_wcbk_before_search_form_item_title' ); ?>

    <div class="yith-wcbk-search-form-result-product-meta-wrapper">
        <h3>
            <?php the_title(); ?>
        </h3>
    </div>

    <?php
    /**
     * yith_wcbk_after_search_form_item_meta hook.
     *
     * @hooked woocommerce_template_loop_product_link_close - 10
     */
    do_action( 'yith_wcbk_after_search_form_item_meta' ); ?>

    <div class="yith-wcbk-search-form-result-product-price">
        <?php
        /**
         * yith_wcbk_after_search_form_item_meta hook.
         *
         * @hooked woocommerce_template_loop_price - 10
         */
        do_action( 'yith_wcbk_after_search_form_item_price' ); ?>
    </div>

    <div class="yith-wcbk-search-form-result-product-add-to-cart">

        <?php
        $add_to_cart_allowed = !!$booking_data && ( !$product->has_person_types() || !empty( $booking_data[ 'person_types' ] ) );
        $add_to_cart_allowed = apply_filters( 'yith_wcbk_search_form_item_add_to_cart_allowed', $add_to_cart_allowed, $product, $booking_data );
        ?>

        <?php if ( $add_to_cart_allowed ) : ?>
            <form class="yith-wcbk-booking-ajax-add-to-cart" name="yith_booking_add_to_cart_<?php echo $product->get_id() ?>" method="post" enctype='multipart/form-data'>
                <?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>

                <?php
                $action = !$product->is_requested_confirmation() ? 'add-to-cart' : 'booking-request-confirmation';
                ?>

                <input type="hidden" name="<?php echo $action ?>" value="<?php echo esc_attr( $product->get_id() ); ?>"/>

                <?php foreach ( $booking_data as $booking_data_id => $booking_data_value ): ?>

                    <?php
                    if ( $booking_data_id === 'person_types' && !$product->has_person_types() )
                        continue;
                    ?>

                    <?php if ( is_array( $booking_data_value ) ) : ?>

                        <?php foreach ( $booking_data_value as $this_id => $this_value ): ?>

                            <input type="hidden" name="<?php echo $booking_data_id ?>[<?php echo $this_id ?>]" value="<?php echo $this_value ?>">

                        <?php endforeach; ?>

                    <?php else: ?>

                        <input type="hidden" name="<?php echo $booking_data_id ?>" value="<?php echo $booking_data_value ?>">

                    <?php endif; ?>

                <?php endforeach; ?>

                <?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>

                <a href="#" onclick="document.yith_booking_add_to_cart_<?php echo $product->get_id() ?>.submit()">
                    <?php echo esc_html( $product->single_add_to_cart_text() ); ?>
                </a>

                <?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>
            </form>
        <?php else: ?>

            <a href="<?php the_permalink(); ?>">
                <?php echo esc_html( $product->add_to_cart_text() ); ?>
            </a>
        <?php endif; ?>
    </div>

    <?php do_action( 'yith_wcbk_after_search_form_item' ); ?>
</li>
