<?php
/**
 * @var WC_Product_Booking $product
 * @var int                $from
 * @var int                $to
 * @var bool               $bookable
 */
if ( !defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

$from_html = date_i18n( wc_date_format(), $from );
$to_html   = date_i18n( wc_date_format(), $to );

$bookable_status = $bookable ? 'bookable' : 'not-bookable';

?>

<p class="<?php echo $bookable_status ?>">
    <?php
    $bookable_text = sprintf( __( '<strong>%s</strong>: from %s to %s', 'yith-booking-for-woocommerce' ), yith_wcbk_get_label( $bookable_status ), $from_html, $to_html );
    echo apply_filters( 'yith_wcbk_booking_form_message_bookable_text', $bookable_text, $bookable, $from, $to, $product );
    ?>
</p>
